Pipeline Model API

Upload and manage 3D models in Vuframe® Pipeline (formerly Aura™ 3D Model API).

v1.0.0Download aura3d-model-api.yml

Admins

Secured Admin-only calls

retrieve details of a specific resource by ID

GET/resources/{id}

Authentication basic

This request allows you to get resource details with model details and original resource details, if they exist.

Path parameters

NameTypeDescription
idrequiredintegerdatabase id of the resource

Responses

200Resource Details

Content type application/json

FieldTypeDescription
resourceobject
resource.idstringID of resource
resource.typestringtype of resource
resource.source_urlstringS3 presigned download url for original resource
resource.source_filesizeintegerfilesize in bits
resource.assets_urlstringS3 presigned download url for assets.zip
itemobject
item.titlestringtitle of model
item.projectstringtitle of project / space
item.tokenstringtoken of model
item.live_contentbooleanis this item part of a shared SmartVu®?
item.versionintegerversion number
item.file_typestringcontent type of latest resource
item.uploaded_file_typestringcontent type of original resource
item.resourceobject
item.resource.idintegerID of resource
item.resource.keystringS3 storage key of resource
item.resource.typestringcontent type of resource
item.originalobject
item.original.idintegerID of original resource
item.original.keystringS3 storage key of original resource
item.original.typestringcontent type of original resource
Example
{
  "resource": {
    "id": "string",
    "type": "Cms2::Any3dFileResource",
    "source_url": "string",
    "source_filesize": 503639292,
    "assets_url": "string"
  },
  "item": {
    "title": "string",
    "project": "string",
    "token": "string",
    "live_content": true,
    "version": 0,
    "file_type": "any_3d.unity",
    "uploaded_file_type": "any_3d.unity",
    "resource": {
      "id": 0,
      "key": "resources/39532/",
      "type": "any_3d.unity"
    },
    "original": {
      "id": 0,
      "key": "resources/39532/",
      "type": "any_3d.unity"
    }
  }
}
Example request
curl -X GET "https://api.vuframe.com/v3/aura/resources/{id}" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

GET/models/{token}

Authentication basic

By passing in the appropriate options, you can search for available inventory in the system

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200Model Details

Content type application/json

FieldTypeDescription
idnumberID of Model
titlestringTitle of Model
projectstringTitle of Project containing Model
tokenstringToken of Model
studio_urlstringStudio URL to Model
download_urlstringunsigned CDN URL to Model
live_contentbooleanIs live content?
versionnumberLatest Version Number
file_typestringType of File Resource
file_sizenumberStorage Usage of Model
uploaded_file_typestringType of Original File Resource
resourceobjectLatest Resource
resource.idnumberID of Resource
resource.keystringS3 Storage Path
resource.typestringType of Resource
originalobjectOptional: Original Resource
original.idnumberID of Resource
original.keystringS3 Storage Path
original.typestringType of Resource
settingsSettingsObject
settings.api_versionnumberAPI version
settings.studio_owner_tokenstringStudio Owner Token
settings.main_file_namestringName of the main file. This option is needed to set the main file that includes other files within. We need this behavior for uploads of zip Archives (e.g. CATIA, Solidworks)
settings.scalenumberScale of 3D Model in float
settings.rotate_xnumberX value of rotation in float
settings.rotate_ynumberY value of rotation in float
settings.rotate_znumberZ value of rotation in float
settings.positioning_xstringX value of positioning ("MIN|CENTER|MAX")
settings.positioning_ystringX value of positioning ("MIN|CENTER|MAX")
settings.positioning_zstringX value of positioning ("MIN|CENTER|MAX")
settings.offset_xnumberX value of offset in meter (Unity standard)
settings.offset_ynumberX value of offset in meter (Unity standard)
settings.offset_znumberX value of offset in meter (Unity standard)
settings.flip_xbooleanShould flip 3D model on X axis?
settings.flip_ybooleanShould flip 3D model on Y axis?
settings.flip_zbooleanShould flip 3D model on Z axis?
settings.limit_uv_coordinates_for_seambooleanLimits the v-value for UV coordinates to 0.99 or lower for all objects whose name starts with the word "Seam". This is a customer-specific fix for Olymp.
settings.environment_assetobject
settings.environment_asset.tokenstring
settings.environment_asset.uristringURI with AWS URI or file uri
settings.addon_assetsarray of object
settings.addon_assets[].tokenstring
settings.addon_assets[].uristringURI with AWS URI or file uri
settings.ambient_occlusionAmbientOcclusionObject
settings.ambient_occlusion.enabledbooleanHas Ambient Occlusion enabled?
settings.ambient_occlusion.radiusnumberRadius of Ambient Occlusion in float
settings.ambient_occlusion.intensitynumberIntensity of Ambient Occlusion in float
settings.ground_shadowbooleanShould ground shadows get created? Default: false.
hotspotsarray of HotspotObject
hotspots[].idstringunique ID of this hotspot, automatically generated
hotspots[].pathstringthe path of the hotspot /foo/bar/name
hotspots[].sourcestringwhere did this hotspot come from? Was it contained in the originally uploaded model (Unity 3D exports only) or generated during processing (based on naming conventions) or created in the editor. One of: "UPLOAD", "GENERATED", "EDITOR", "UNKNOWN".
hotspots[].source_resource_versionnumber<die versionsnummer der resource mit dem der hotspot initial im modell hinzugefügt wurde>
hotspots[].changed_in_editorbooleanreturns true if this hotspot was changed from the original definition contained in the uploaded model.
hotspots[].propertiesHotspotPropertiesProperties are used to create or update hotspots. Requests return an HotspotObject, which contains all properties of a hotspot, including read-only ones.
hotspots[].properties.namestringthe name of the hotspot object, this is used to access it using Actions
hotspots[].properties.titlestringhuman-readable title
hotspots[].properties.descriptionstringhuman-readable description
hotspots[].properties.removedbooleanif true this hotspot will not be displayed
hotspots[].properties.removed_bystringindicates where and why this hotspot was removed.
by_model_revision: the hotspot was not included in a newer model revision, that was uploaded. This only applies for hotspots generated from the original CAD/3D file.
in_editor: the hotspot was removed in the editor, this applies for hotspots generated from the original CAD/3D file which are then removed by the user in the online editor. One of: "from_resource", "in_editor".
hotspots[].properties.positionVectorObject
hotspots[].properties.position.xnumberX float
hotspots[].properties.position.ynumberY float
hotspots[].properties.position.znumberZ float
hotspots[].properties.rotationVectorObject
hotspots[].properties.rotation.xnumberX float
hotspots[].properties.rotation.ynumberY float
hotspots[].properties.rotation.znumberZ float
hotspots[].properties.is_billboardbooleanHas billboarding activated? This will overwrite rotation if set to true. Default: false.
hotspots[].properties.typestringthe type of the hotspot One of: "event", "ego".
hotspots[].properties.textureobjectImage Item
hotspots[].properties.texture.tokenstringToken of Item
hotspots[].properties.texture.urlstringPresigned S3 URL
hotspots[].properties.colorstringcolor of the hotspot. r,g.b,a with rgb between 0 and 255 and a between 0 and 1 Default: "(0,255,0,1)".
hotspots[].properties.scalenumberfloat between 0.1 to 5.0 Default: 1.
Example
{
  "id": 0,
  "title": "string",
  "project": "string",
  "token": "string",
  "studio_url": "string",
  "download_url": "string",
  "live_content": true,
  "version": 0,
  "file_type": "string",
  "file_size": 0,
  "uploaded_file_type": "string",
  "resource": {
    "id": 0,
    "key": "string",
    "type": "string"
  },
  "original": {
    "id": 0,
    "key": "string",
    "type": "string"
  },
  "settings": {
    "api_version": 0,
    "studio_owner_token": "string",
    "main_file_name": "string",
    "scale": 0,
    "rotate_x": 0,
    "rotate_y": 0,
    "rotate_z": 0,
    "positioning_x": "string",
    "positioning_y": "string",
    "positioning_z": "string",
    "offset_x": 0,
    "offset_y": 0,
    "offset_z": 0,
    "flip_x": true,
    "flip_y": true,
    "flip_z": true,
    "limit_uv_coordinates_for_seam": true,
    "environment_asset": {
      "token": "string",
      "uri": "string"
    },
    "addon_assets": [
      {
        "token": "string",
        "uri": "string"
      }
    ],
    "ambient_occlusion": {
      "enabled": true,
      "radius": 0,
      "intensity": 0
    },
    "ground_shadow": false
  },
  "hotspots": [
    {
      "id": "string",
      "path": "string",
      "source": "UPLOAD",
      "source_resource_version": 0,
      "changed_in_editor": true,
      "properties": {
        "name": "string",
        "title": "string",
        "description": "string",
        "removed": true,
        "removed_by": "from_resource",
        "position": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "rotation": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "is_billboard": false,
        "type": "event",
        "texture": {
          "token": "string",
          "url": "string"
        },
        "color": "(0,255,0,1)",
        "scale": 1
      }
    }
  ]
}
400bad input parameter

No body.

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}" \
  -u "USER:PASSWORD"

puts the settings or hotspots for a specific model

PUT/models/{token}

Authentication basic

By passing in the appropriate options, you can search for available inventory in the system

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Request body required

Content type application/json

FieldTypeDescription
settingsEditableSettingsObject
settings.scalenumberScale of 3D Model in float
settings.rotate_xnumberX value of rotation in float
settings.rotate_ynumberY value of rotation in float
settings.rotate_znumberZ value of rotation in float
settings.positioning_xstringX value of positioning ("MIN|CENTER|MAX")
settings.positioning_ystringX value of positioning ("MIN|CENTER|MAX")
settings.positioning_zstringX value of positioning ("MIN|CENTER|MAX")
settings.offset_xnumberX value of offset in meter (Unity standard)
settings.offset_ynumberX value of offset in meter (Unity standard)
settings.offset_znumberX value of offset in meter (Unity standard)
settings.flip_xbooleanShould flip 3D model on X axis?
settings.flip_ybooleanShould flip 3D model on Y axis?
settings.flip_zbooleanShould flip 3D model on Z axis?
settings.limit_uv_coordinates_for_seambooleanLimits the v-value for UV coordinates to 0.99 or lower for all objects whose name starts with the word "Seam". This is a customer-specific fix for Olymp.
settings.environment_assetobject
settings.environment_asset.tokenstring
settings.environment_asset.uristringURI with AWS URI or file uri
settings.addon_assetsarray of object
settings.addon_assets[].tokenstring
settings.addon_assets[].uristringURI with AWS URI or file uri
settings.ambient_occlusionAmbientOcclusionObject
settings.ambient_occlusion.enabledbooleanHas Ambient Occlusion enabled?
settings.ambient_occlusion.radiusnumberRadius of Ambient Occlusion in float
settings.ambient_occlusion.intensitynumberIntensity of Ambient Occlusion in float
settings.ground_shadowbooleanShould ground shadows get created? Default: false.
hotspotsarray of HotspotObject
hotspots[].idstringunique ID of this hotspot, automatically generated
hotspots[].pathstringthe path of the hotspot /foo/bar/name
hotspots[].sourcestringwhere did this hotspot come from? Was it contained in the originally uploaded model (Unity 3D exports only) or generated during processing (based on naming conventions) or created in the editor. One of: "UPLOAD", "GENERATED", "EDITOR", "UNKNOWN".
hotspots[].source_resource_versionnumber<die versionsnummer der resource mit dem der hotspot initial im modell hinzugefügt wurde>
hotspots[].changed_in_editorbooleanreturns true if this hotspot was changed from the original definition contained in the uploaded model.
hotspots[].propertiesHotspotPropertiesProperties are used to create or update hotspots. Requests return an HotspotObject, which contains all properties of a hotspot, including read-only ones.
hotspots[].properties.namestringthe name of the hotspot object, this is used to access it using Actions
hotspots[].properties.titlestringhuman-readable title
hotspots[].properties.descriptionstringhuman-readable description
hotspots[].properties.removedbooleanif true this hotspot will not be displayed
hotspots[].properties.removed_bystringindicates where and why this hotspot was removed.
by_model_revision: the hotspot was not included in a newer model revision, that was uploaded. This only applies for hotspots generated from the original CAD/3D file.
in_editor: the hotspot was removed in the editor, this applies for hotspots generated from the original CAD/3D file which are then removed by the user in the online editor. One of: "from_resource", "in_editor".
hotspots[].properties.positionVectorObject
hotspots[].properties.position.xnumberX float
hotspots[].properties.position.ynumberY float
hotspots[].properties.position.znumberZ float
hotspots[].properties.rotationVectorObject
hotspots[].properties.rotation.xnumberX float
hotspots[].properties.rotation.ynumberY float
hotspots[].properties.rotation.znumberZ float
hotspots[].properties.is_billboardbooleanHas billboarding activated? This will overwrite rotation if set to true. Default: false.
hotspots[].properties.typestringthe type of the hotspot One of: "event", "ego".
hotspots[].properties.textureobjectImage Item
hotspots[].properties.texture.tokenstringToken of Item
hotspots[].properties.texture.urlstringPresigned S3 URL
hotspots[].properties.colorstringcolor of the hotspot. r,g.b,a with rgb between 0 and 255 and a between 0 and 1 Default: "(0,255,0,1)".
hotspots[].properties.scalenumberfloat between 0.1 to 5.0 Default: 1.
Example
{
  "settings": {
    "scale": 0,
    "rotate_x": 0,
    "rotate_y": 0,
    "rotate_z": 0,
    "positioning_x": "string",
    "positioning_y": "string",
    "positioning_z": "string",
    "offset_x": 0,
    "offset_y": 0,
    "offset_z": 0,
    "flip_x": true,
    "flip_y": true,
    "flip_z": true,
    "limit_uv_coordinates_for_seam": true,
    "environment_asset": {
      "token": "string",
      "uri": "string"
    },
    "addon_assets": [
      {
        "token": "string",
        "uri": "string"
      }
    ],
    "ambient_occlusion": {
      "enabled": true,
      "radius": 0,
      "intensity": 0
    },
    "ground_shadow": false
  },
  "hotspots": [
    {
      "id": "string",
      "path": "string",
      "source": "UPLOAD",
      "source_resource_version": 0,
      "changed_in_editor": true,
      "properties": {
        "name": "string",
        "title": "string",
        "description": "string",
        "removed": true,
        "removed_by": "from_resource",
        "position": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "rotation": {
          "x": 0,
          "y": 0,
          "z": 0
        },
        "is_billboard": false,
        "type": "event",
        "texture": {
          "token": "string",
          "url": "string"
        },
        "color": "(0,255,0,1)",
        "scale": 1
      }
    }
  ]
}

Responses

200search results matching criteria

Content type application/json

FieldTypeDescription
[].platform_versionnumber
[].tokenstring
[].titlestring
[].title_translationsobject
[].descriptionstring
[].description_translationsobject
[].hashtagsstring
[].hashtags_translationsobject
[].item_typestring
[].versionnumber
[].file_sizenumber
[].updated_atstring
[].inclusionstring
[].folder_tokenstring
[].file_extensionstring
[].package_resolutionsstring
[].preview_image_urlstring
[].preview_image_mime_typestring
[].thumbnail_image_urlstring
[].content_urlstring
[].content_mime_typestring
[].properties_urlstring
[].named_resources_urlstring
[].propertiesobject
[].projectstring
[].companystring
Example
[
  {
    "platform_version": 1,
    "token": "string",
    "title": "A title",
    "title_translations": {},
    "description": "A description",
    "description_translations": {},
    "hashtags": "string",
    "hashtags_translations": {},
    "item_type": "any3d_scene",
    "version": 0,
    "file_size": 0,
    "updated_at": "string",
    "inclusion": "string",
    "folder_token": "string",
    "file_extension": "string",
    "package_resolutions": "string",
    "preview_image_url": "string",
    "preview_image_mime_type": "string",
    "thumbnail_image_url": "string",
    "content_url": "string",
    "content_mime_type": "string",
    "properties_url": "string",
    "named_resources_url": "string",
    "properties": {},
    "project": "string",
    "company": "string"
  }
]
400bad input parameter

No body.

Example request
curl -X PUT "https://api.vuframe.com/v3/aura/models/{token}" \
  -u "USER:PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"settings":{"scale":0,"rotate_x":0,"rotate_y":0,"rotate_z":0,"positioning_x":"string","positioning_y":"string","positioning_z":"string","offset_x":0,"offset_y":0,"offset_z":0,"flip_x":true,"flip_y":true,"flip_z":true,"limit_uv_coordinates_for_seam":true,"environment_asset":{"token":"string","uri":"string"},"addon_assets":[{"token":"string","uri":"string"}],"ambient_occlusion":{"enabled":true,"radius":0,"intensity":0},"ground_shadow":false},"hotspots":[{"id":"string","path":"string","source":"UPLOAD","source_resource_version":0,"changed_in_editor":true,"properties":{"name":"string","title":"string","description":"string","removed":true,"removed_by":"from_resource","position":{"x":0,"y":0,"z":0},"rotation":{"x":0,"y":0,"z":0},"is_billboard":false,"type":"event","texture":{"token":"string","url":"string"},"color":"(0,255,0,1)","scale":1}}]}'

retrieve the details for a specific model

GET/models/{token}/files

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/files" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

GET/models/{token}/formats

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/formats" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

GET/models/{token}/status

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/status" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

GET/models/{token}/issues

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/issues" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

GET/models/{token}/resources

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/resources" \
  -u "USER:PASSWORD"

retrieve the tasks for a specific model

GET/models/{token}/tasks

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/tasks" \
  -u "USER:PASSWORD"

reprocess a specific model

POST/models/{token}/reprocess

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Request body

Optional body with filter options like file_type.

Content type application/json

FieldTypeDescription
file_typestringFile Type of Model (e.g. aura3d_files) described here: https://share.vuframe.com/1759d56c
Example
{
  "file_type": "aura3d_files"
}

Responses

200list of items that will be reprocessed.

Content type application/json object

Example request
curl -X POST "https://api.vuframe.com/v3/aura/models/{token}/reprocess" \
  -u "USER:PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"file_type":"aura3d_files"}'

retrieve the details for a specific model

GET/models/{token}/operations

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/operations" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

PATCH/models/{token}/operations/{operation}

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model
operationrequiredstringthe operation's id

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X PATCH "https://api.vuframe.com/v3/aura/models/{token}/operations/{operation}" \
  -u "USER:PASSWORD"

retrieve the details for a specific model

PATCH/models/{token}/upload/{relative_path}

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model
relative_pathrequiredstringthe relative path of the uploaded file

Responses

200search results matching criteria

Content type application/json object

Example request
curl -X PATCH "https://api.vuframe.com/v3/aura/models/{token}/upload/{relative_path}" \
  -u "USER:PASSWORD"

Hotspots

⚠️ not implemented - get all hotspots of a specific model

GET/models/{token}/hotspots

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Responses

200Response of Success

Content type application/json

FieldTypeDescription
[].idstringunique ID of this hotspot, automatically generated
[].pathstringthe path of the hotspot /foo/bar/name
[].sourcestringwhere did this hotspot come from? Was it contained in the originally uploaded model (Unity 3D exports only) or generated during processing (based on naming conventions) or created in the editor. One of: "UPLOAD", "GENERATED", "EDITOR", "UNKNOWN".
[].source_resource_versionnumber<die versionsnummer der resource mit dem der hotspot initial im modell hinzugefügt wurde>
[].changed_in_editorbooleanreturns true if this hotspot was changed from the original definition contained in the uploaded model.
[].propertiesHotspotPropertiesProperties are used to create or update hotspots. Requests return an HotspotObject, which contains all properties of a hotspot, including read-only ones.
[].properties.namestringthe name of the hotspot object, this is used to access it using Actions
[].properties.titlestringhuman-readable title
[].properties.descriptionstringhuman-readable description
[].properties.removedbooleanif true this hotspot will not be displayed
[].properties.removed_bystringindicates where and why this hotspot was removed.
by_model_revision: the hotspot was not included in a newer model revision, that was uploaded. This only applies for hotspots generated from the original CAD/3D file.
in_editor: the hotspot was removed in the editor, this applies for hotspots generated from the original CAD/3D file which are then removed by the user in the online editor. One of: "from_resource", "in_editor".
[].properties.positionVectorObject
[].properties.position.xnumberX float
[].properties.position.ynumberY float
[].properties.position.znumberZ float
[].properties.rotationVectorObject
[].properties.rotation.xnumberX float
[].properties.rotation.ynumberY float
[].properties.rotation.znumberZ float
[].properties.is_billboardbooleanHas billboarding activated? This will overwrite rotation if set to true. Default: false.
[].properties.typestringthe type of the hotspot One of: "event", "ego".
[].properties.textureobjectImage Item
[].properties.texture.tokenstringToken of Item
[].properties.texture.urlstringPresigned S3 URL
[].properties.colorstringcolor of the hotspot. r,g.b,a with rgb between 0 and 255 and a between 0 and 1 Default: "(0,255,0,1)".
[].properties.scalenumberfloat between 0.1 to 5.0 Default: 1.
Example
[
  {
    "id": "string",
    "path": "string",
    "source": "UPLOAD",
    "source_resource_version": 0,
    "changed_in_editor": true,
    "properties": {
      "name": "string",
      "title": "string",
      "description": "string",
      "removed": true,
      "removed_by": "from_resource",
      "position": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "rotation": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "is_billboard": false,
      "type": "event",
      "texture": {
        "token": "string",
        "url": "string"
      },
      "color": "(0,255,0,1)",
      "scale": 1
    }
  }
]
Example request
curl -X GET "https://api.vuframe.com/v3/aura/models/{token}/hotspots" \
  -u "USER:PASSWORD"

⚠️ not implemented - create, update and remove one or many hotspots

POST/models/{token}/hotspots

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the model

Request body required

Content type application/json

FieldTypeDescription
[].idstringunique ID of this hotspot, automatically generated
[].pathstringthe path of the hotspot /foo/bar/name
[].sourcestringwhere did this hotspot come from? Was it contained in the originally uploaded model (Unity 3D exports only) or generated during processing (based on naming conventions) or created in the editor. One of: "UPLOAD", "GENERATED", "EDITOR", "UNKNOWN".
[].source_resource_versionnumber<die versionsnummer der resource mit dem der hotspot initial im modell hinzugefügt wurde>
[].changed_in_editorbooleanreturns true if this hotspot was changed from the original definition contained in the uploaded model.
[].propertiesHotspotPropertiesProperties are used to create or update hotspots. Requests return an HotspotObject, which contains all properties of a hotspot, including read-only ones.
[].properties.namestringthe name of the hotspot object, this is used to access it using Actions
[].properties.titlestringhuman-readable title
[].properties.descriptionstringhuman-readable description
[].properties.removedbooleanif true this hotspot will not be displayed
[].properties.removed_bystringindicates where and why this hotspot was removed.
by_model_revision: the hotspot was not included in a newer model revision, that was uploaded. This only applies for hotspots generated from the original CAD/3D file.
in_editor: the hotspot was removed in the editor, this applies for hotspots generated from the original CAD/3D file which are then removed by the user in the online editor. One of: "from_resource", "in_editor".
[].properties.positionVectorObject
[].properties.position.xnumberX float
[].properties.position.ynumberY float
[].properties.position.znumberZ float
[].properties.rotationVectorObject
[].properties.rotation.xnumberX float
[].properties.rotation.ynumberY float
[].properties.rotation.znumberZ float
[].properties.is_billboardbooleanHas billboarding activated? This will overwrite rotation if set to true. Default: false.
[].properties.typestringthe type of the hotspot One of: "event", "ego".
[].properties.textureobjectImage Item
[].properties.texture.tokenstringToken of Item
[].properties.texture.urlstringPresigned S3 URL
[].properties.colorstringcolor of the hotspot. r,g.b,a with rgb between 0 and 255 and a between 0 and 1 Default: "(0,255,0,1)".
[].properties.scalenumberfloat between 0.1 to 5.0 Default: 1.
Example
[
  {
    "id": "string",
    "path": "string",
    "source": "UPLOAD",
    "source_resource_version": 0,
    "changed_in_editor": true,
    "properties": {
      "name": "string",
      "title": "string",
      "description": "string",
      "removed": true,
      "removed_by": "from_resource",
      "position": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "rotation": {
        "x": 0,
        "y": 0,
        "z": 0
      },
      "is_billboard": false,
      "type": "event",
      "texture": {
        "token": "string",
        "url": "string"
      },
      "color": "(0,255,0,1)",
      "scale": 1
    }
  }
]

Responses

200Response for Success

Content type application/json

FieldTypeDescription
successbooleanWas the Request successfully processed? Default: true.
Example
{
  "success": true
}
404Bad Request

Content type application/json

FieldTypeDescription
errorstringError Message
Example
{
  "error": "string"
}
Example request
curl -X POST "https://api.vuframe.com/v3/aura/models/{token}/hotspots" \
  -u "USER:PASSWORD" \
  -H "Content-Type: application/json" \
  -d '[{"id":"string","path":"string","source":"UPLOAD","source_resource_version":0,"changed_in_editor":true,"properties":{"name":"string","title":"string","description":"string","removed":true,"removed_by":"from_resource","position":{"x":0,"y":0,"z":0},"rotation":{"x":0,"y":0,"z":0},"is_billboard":false,"type":"event","texture":{"token":"string","url":"string"},"color":"(0,255,0,1)","scale":1}}]'

Workspace

retrieve all models of a workspace

GET/workspaces/{token}/models

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the workspace

Responses

200search results matching criteria

Content type application/json

FieldTypeDescription
platform_versionnumber
tokenstring
titlestring
title_translationsobject
descriptionstring
description_translationsobject
hashtagsstring
hashtags_translationsobject
item_typestring
versionnumber
file_sizenumber
updated_atstring
inclusionstring
folder_tokenstring
file_extensionstring
package_resolutionsstring
preview_image_urlstring
preview_image_mime_typestring
thumbnail_image_urlstring
content_urlstring
content_mime_typestring
properties_urlstring
named_resources_urlstring
propertiesobject
projectstring
companystring
Example
{
  "platform_version": 1,
  "token": "string",
  "title": "A title",
  "title_translations": {},
  "description": "A description",
  "description_translations": {},
  "hashtags": "string",
  "hashtags_translations": {},
  "item_type": "any3d_scene",
  "version": 0,
  "file_size": 0,
  "updated_at": "string",
  "inclusion": "string",
  "folder_token": "string",
  "file_extension": "string",
  "package_resolutions": "string",
  "preview_image_url": "string",
  "preview_image_mime_type": "string",
  "thumbnail_image_url": "string",
  "content_url": "string",
  "content_mime_type": "string",
  "properties_url": "string",
  "named_resources_url": "string",
  "properties": {},
  "project": "string",
  "company": "string"
}
Example request
curl -X GET "https://api.vuframe.com/v3/aura/workspaces/{token}/models" \
  -u "USER:PASSWORD"

reprocess every model of a workspace

POST/workspaces/{token}/reprocess

Authentication basic

Path parameters

NameTypeDescription
tokenrequiredstringthe token identifying the workspace

Request body

Optional body with filter options like file_type.

Content type application/json

FieldTypeDescription
file_typestringFile Type of Model (e.g. aura3d_files) described here: https://share.vuframe.com/1759d56c
Example
{
  "file_type": "aura3d_files"
}

Responses

200list of items that will be reprocessed.

Content type application/json object

Example request
curl -X POST "https://api.vuframe.com/v3/aura/workspaces/{token}/reprocess" \
  -u "USER:PASSWORD" \
  -H "Content-Type: application/json" \
  -d '{"file_type":"aura3d_files"}'